%global momorel 2
%global md5sum_src0 1d106acef8e3af3593c779f281541a0b

Summary: a .NET runtime environment
Name: mono
Version: 1.2.4
Release: %{momorel}m%{?dist}
License: LGPL GPL MIT/X
Group: System Environment/Base
%NoSource 0 http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://www.mono-project.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: /sbin/ldconfig
BuildPrereq: glib2-devel >= 2.12.9
BuildPrereq: pkgconfig
BuildPrereq: bison
BuildRequires:  bison, glib-devel, pkgconfig, libicu-devel

Patch3: mono-1.1.15-default-sqlite3.patch

%description
The Mono runtime implements a JIT engine for the ECMA CLI virtual machine 
as well as a byte code interpreter, the class loader, the garbage collector, 
threading system and metadata access libraries.

%package core
Summary:        The Mono CIL runtime, suitable for running .NET code
Group:          Development/Languages
Requires:	libgdiplus >= 1.2.3
Obsoletes:	mono mono-winforms mono-web mono-nunit mono-extras
Provides:            mono-winforms mono-web mono-nunit mono-extras
Obsoletes:      mono-data            mono-jscript
Provides:       mono-data            mono-jscript


%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package devel
Summary: Tools required to embed the Mono runtime.
Group: Development/Tools
PreReq: %{name}-core = %{version}-%{release}
Requires: pkgconfig
Requires: glib-devel

%description devel
Header files and libraries used to embed the Mono runtime in an application.

%package locale-extras
Summary:        Extra locale information for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

# The above seems safe

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}
Requires:       sqlite

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-sybase
Summary:        Sybase database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description data-sybase
This package contains the ADO.NET Data provider for the Sybase
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package data-postgresql
Summary:        Postgresql database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description data-postgresql
This package contains the ADO.NET Data provider for the PostgreSQL
database.

%package data-firebird
Summary:        Firebird database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description data-firebird
This package contains the ADO.NET Data provider for the Firebird
database.

# This uses the upstream package name, don't know why its not mono-data-*
%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

# This uses the upstream package name, don't know why its not mono-data-*
%package -n bytefx-data-mysql
Summary:        MySQL database connectivity for Mono
Group:          Development/Languages
Requires:       %{name}-core = %{version}-%{release}

%description -n bytefx-data-mysql
This package contains the ADO.NET Data provider for MySQL. This is
no longer maintained. MySQL AB now provides MySQL Connector/Net
which is fully managed and actively maintained.


%prep
%setup -q
%patch3 -p1 -b .sqlite3~

%build
autoreconf -vfi
%configure \
    --with-ikvm-native=yes \
    --with-jit=yes \
    --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install transform='s,x,x,'
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post core
/sbin/ldconfig

%postun core
/sbin/ldconfig

%files core
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/1.0
%dir %{_sysconfdir}/mono/2.0
%config %{_sysconfdir}/mono/1.0/machine.config
%config %{_sysconfdir}/mono/2.0/machine.config
%config %{_sysconfdir}/mono/2.0/web.config
%config %{_sysconfdir}/mono/config
%{_bindir}/al
%{_bindir}/al2
%{_bindir}/caspol
%{_bindir}/cert2spc
%{_bindir}/certmgr
%{_bindir}/chktrust
%{_bindir}/cilc
%{_bindir}/dtd2rng
%{_bindir}/dtd2xsd
%{_bindir}/gacutil
%{_bindir}/genxs
%{_bindir}/gmcs
%{_bindir}/httpcfg
%{_bindir}/ilasm
%{_bindir}/ilasm2
%{_bindir}/installvst
%{_bindir}/jay
%{_bindir}/macpack
%{_bindir}/makecert
%{_bindir}/mcs
%{_bindir}/mkbundle
%{_bindir}/mkbundle2
%{_bindir}/mono
%{_bindir}/mono-api-diff
%{_bindir}/mono-api-info
%{_bindir}/mono-api-info2
%{_bindir}/mono-find-provides
%{_bindir}/mono-find-requires
%{_bindir}/mono-service2
%{_bindir}/mono-shlib-cop
%{_bindir}/mono-xmltool
%{_bindir}/monodiet
%{_bindir}/monodis
%{_bindir}/monograph
%{_bindir}/monop
%{_bindir}/monop2
%{_bindir}/mozroots
%{_bindir}/nunit-console
%{_bindir}/nunit-console2
%{_bindir}/pedump
%{_bindir}/permview
%{_bindir}/prj2make
%{_bindir}/resgen
%{_bindir}/resgen2
%{_bindir}/secutil
%{_bindir}/setreg
%{_bindir}/sgen
%{_bindir}/signcode
%{_bindir}/sn
%{_bindir}/xbuild

%{_libdir}/*.so.*
%{_libdir}/libMonoPosixHelper.so
%{_libdir}/libMonoSupportW.so

%{_prefix}/lib/mono/1.0
%{_prefix}/lib/mono/compat-1.0
%{_prefix}/lib/mono/2.0
%{_prefix}/lib/mono/compat-2.0

%{_prefix}/lib/mono/gac/Commons.Xml.Relaxng
%{_prefix}/lib/mono/gac/CustomMarshalers
%{_prefix}/lib/mono/gac/ICSharpCode.SharpZipLib
%{_prefix}/lib/mono/gac/Microsoft.Build.Engine
%{_prefix}/lib/mono/gac/Microsoft.Build.Framework
%{_prefix}/lib/mono/gac/Microsoft.Build.Tasks
%{_prefix}/lib/mono/gac/Microsoft.Build.Utilities
%{_prefix}/lib/mono/gac/Microsoft.VisualC
%{_prefix}/lib/mono/gac/Mono.C5
%{_prefix}/lib/mono/gac/Mono.Cairo
%{_prefix}/lib/mono/gac/Mono.CompilerServices.SymbolWriter
%{_prefix}/lib/mono/gac/Mono.Data.Sqlite
%{_prefix}/lib/mono/gac/Mono.GetOptions
%{_prefix}/lib/mono/gac/Mono.Posix
%{_prefix}/lib/mono/gac/Mono.Security
%{_prefix}/lib/mono/gac/Mono.Security.Win32
%{_prefix}/lib/mono/gac/PEAPI
%{_prefix}/lib/mono/gac/System.Configuration
%{_prefix}/lib/mono/gac/System.Core
%{_prefix}/lib/mono/gac/System.Drawing
%{_prefix}/lib/mono/gac/System.Security
%{_prefix}/lib/mono/gac/System.Transactions
%{_prefix}/lib/mono/gac/System.Xml
%{_prefix}/lib/mono/gac/System
%{_prefix}/lib/mono/gac/cscompmgd
%{_prefix}/lib/mono/gac/mono-service
%{_prefix}/lib/mono/gac/OpenSystem.C

%{_mandir}/man1/al.1.*
%{_mandir}/man1/cert2spc.1.*
%{_mandir}/man1/certmgr.1.*
%{_mandir}/man1/chktrust.1.*
%{_mandir}/man1/cilc.1.*
%{_mandir}/man1/dtd2xsd.1.*
%{_mandir}/man1/gacutil.1.*
%{_mandir}/man1/genxs.1.*
%{_mandir}/man1/httpcfg.1.*
%{_mandir}/man1/ilasm.1.*
%{_mandir}/man1/jay.1.*
%{_mandir}/man1/macpack.1.*
%{_mandir}/man1/makecert.1.*
%{_mandir}/man1/mcs.1.*
%{_mandir}/man1/mint.1.*
%{_mandir}/man1/mkbundle.1.*
%{_mandir}/man1/mono-shlib-cop.1.*
%{_mandir}/man1/mono-xmltool.1.*
%{_mandir}/man1/mono.1.*
%{_mandir}/man1/monoburg.1.*
%{_mandir}/man1/monodis.1.*
%{_mandir}/man1/monop.1.*
%{_mandir}/man1/monostyle.1.*
%{_mandir}/man1/mozroots.1.*
%{_mandir}/man1/oldmono.1.*
%{_mandir}/man1/permview.1.*
%{_mandir}/man1/prj2make.1.*
%{_mandir}/man1/secutil.1.*
%{_mandir}/man1/setreg.1.*
%{_mandir}/man1/sgen.1.*
%{_mandir}/man1/signcode.1.*
%{_mandir}/man1/sn.1.*
%{_mandir}/man1/vbnc.1.*
%{_mandir}/man5/mono-config.5*
%{_datadir}/jay/*
%{_datadir}/libgc-mono/*
%{_datadir}/mono-1.0

#%%files winforms
#%%defattr(-,root,root)
%{_prefix}/lib/mono/gac/System.Windows.Forms
%{_prefix}/lib/mono/gac/Accessibility
%{_prefix}/lib/mono/gac/System.Design
%{_prefix}/lib/mono/gac/System.Drawing.Design

#%%files web
#%%defattr(-,root,root)
%{_prefix}/lib/mono/gac/Mono.Http
%{_prefix}/lib/mono/gac/System.Runtime.Remoting
%{_prefix}/lib/mono/gac/System.Web
%{_prefix}/lib/mono/gac/System.Runtime.Serialization.Formatters.Soap
%{_prefix}/lib/mono/gac/System.Web.Services
%{_bindir}/disco
%{_bindir}/soapsuds
%{_bindir}/wsdl
%{_bindir}/wsdl2
%{_bindir}/xsd
%{_mandir}/man1/disco.1.*
%{_mandir}/man1/soapsuds.1.*
%{_mandir}/man1/wsdl.1.*
%{_mandir}/man1/xsd.1.*
%config /etc/mono/browscap.ini
%config /etc/mono/1.0/DefaultWsdlHelpGenerator.aspx
%config /etc/mono/2.0/DefaultWsdlHelpGenerator.aspx

#%%files nunit
#%%defattr(-,root,root)
%{_prefix}/lib/mono/gac/nunit.core
%{_prefix}/lib/mono/gac/nunit.framework
%{_prefix}/lib/mono/gac/nunit.util
%{_prefix}/lib/mono/gac/nunit.mocks
%{_libdir}/pkgconfig/mono-nunit.pc

#%%files extras
#%%defattr(-,root,root)
%{_mandir}/man1/mono-service.1.*
%{_bindir}/mono-service
%{_prefix}/lib/mono/gac/System.Management
%{_prefix}/lib/mono/gac/System.Messaging
%{_prefix}/lib/mono/gac/System.ServiceProcess
%{_prefix}/lib/mono/gac/System.Configuration.Install
%{_prefix}/lib/mono/gac/Microsoft.Vsa

#%%files data
#%%defattr(-,root,root)
%{_bindir}/sqlsharp
%{_mandir}/man1/sqlsharp.1.*
%{_prefix}/lib/mono/gac/System.Data
%{_prefix}/lib/mono/gac/Mono.Data
%{_prefix}/lib/mono/gac/Mono.Data.Tds
%{_prefix}/lib/mono/gac/Mono.Data.TdsClient
%{_prefix}/lib/mono/gac/System.EnterpriseServices
%{_prefix}/lib/mono/gac/Novell.Directory.Ldap
%{_prefix}/lib/mono/gac/System.DirectoryServices

#%%files basic
#%%defattr(-,root,root)
%{_bindir}/mbas
#%{_prefix}/lib/mono/gac/Microsoft.VisualBasic

#%%files jscript
#%%defattr(-,root,root)
%{_bindir}/mjs
%{_prefix}/lib/mono/gac/Microsoft.JScript

%files devel
%defattr(-, root, root)
%doc docs/* 
%{_includedir}/mono-1.0

%{_libdir}/*.a
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc

%{_libdir}/libikvm-native.so
%{_libdir}/libmono-profiler-aot.so
%{_libdir}/libmono-profiler-cov.so
%{_libdir}/libmono.so

%files locale-extras
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/I18N.MidEast
%{_prefix}/lib/mono/gac/I18N.Rare
%{_prefix}/lib/mono/gac/I18N.CJK
%{_prefix}/lib/mono/gac/I18N.Other
%{_prefix}/lib/mono/gac/I18N.West
%{_prefix}/lib/mono/gac/I18N

%files data-sqlite
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/Mono.Data.SqliteClient

%files data-sybase
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/Mono.Data.SybaseClient

%files data-oracle
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/System.Data.OracleClient

%files data-postgresql
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/Npgsql

%files data-firebird
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/FirebirdSql.Data.Firebird

%files -n bytefx-data-mysql
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/ByteFX.Data

%files -n ibm-data-db2
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/IBM.Data.DB2

%changelog
* Wed Jul  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-2m)
- do not Obsolete mono-basic

* Wed May 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Thu May 17 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.3.1-2m)
- Provides: mono-winforms mono-web mono-nunit mono-extras
- Provides: mono-data mono-jscript

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3.1-1m)
- update to 1.2.3.1

* Fri Feb  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Thu Dec 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2.1-1m)
- update to 1.2.2.1

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Tue Oct 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-3m)
- delete %%files for %%defattr
- fix %%post %%postun script

* Mon Oct 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-2m)
- add %%files for %%defattr

* Tue Oct 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-1m)
- update to 1.1.18

* Sun Oct  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17.2-1m)
- update to 1.1.17.2

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17.1-1m)
- update to 1.1.17.1

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.16.1-1m)
- update to 1.1.16.1

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.15-11m)
- revised for multilibarch

* Wed Aug  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-10m)
- mv some *.so to mono-core

* Sun Jul 23 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.1.15-9m)
- REMOVE.PLEASE

* Tue Jul 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-8m)
- mv some *.so to mono-core

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.15-7m)
- depend sqlite3 -> sqlite

* Thu Jun  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-6m)
- mono-data-sqlite use default sqlite3

* Mon Jun  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-5m)
- add Obsoletes winforms web nunit extras data basic jscript

* Mon Jun  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-4m)
- merge packages
- core (winforms web nunit extras data basic jscript)

* Tue May  9 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.15-3m)
- fix mono-1.1.13.2-path.patch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-2m)
- split package
-- core devel nunit locale-extras jscript basic extras winforms web
-- data data-sqlite data-sybase data-oracle data-postgresql
-- data-firebird ibm-data-db2 bytefx-data-mysql 

* Mon Apr 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-1m)
- update to 1.1.15

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.14-1m)
- update to 1.1.14 (1.2 beta)

* Thu Feb  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13.2.6m)
- add %%{_includedir}/mono/* for libgc
- delete --with-gc=bohem from configure

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.13.2-5m)
- revised patch: mono-1.1.13.2-pc.patch and mono-1.1.13.2-lib64.patch
- add patch mono-1.1.13.2-path.patch

* Sun Jan 29 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.13.2-4m)
- rename and reivsed Patch0: mono-1.1.13.2-lib64.patch
- add Patch1: mono-1.1.13.2-pc.patch

* Sun Jan 29 2006 Masanobu Sato <m.sato@screen.co.jp>
- (1.1.13.2-3m)
- add patch0 for x86_64

* Sun Jan 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13.2-2m)
- add --program-prefix="" to %%configure

* Thu Jan 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13.2-1m)
- update to 1.1.13.2

* Wed Dec 15 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4
- merge from vine package 1.0.4-0vl1

* Wed Jul 7 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.19-5m)
- rpm42 compatibility
- patch by Yoshi Doi
- please update to 1.0 anyone?

* Sun Oct 12 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.19-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Apr  6 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (0.19-3m)
- disable gc to avoid build error (other solution?).

* Sat Jan 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.19-2m)
- build mcs and replace runtime.

* Sat Jan 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.19-1m)
- version 0.19

* Sat Jan 25 2003 Nguyen Hung Vu <vuhung@mononga-linux.org>
- Nguyen Hung Vu (0.18-2m)
- Update URLs

* Fri Jan 17 2003 Nguyen Hung Vu <vuhung@momonga-linux.org>
- Nguyen Hung Vu (0.18-1m)
- First rebuild from Momonga

